/***************************************************************************
   Archivo con diferentes rutinas a usar en diversas prcticas de C
***************************************************************************/
#include "util.h"

/***************************************************************************/
void Pausa(void) {

  printf("\nPulse un tecla para continuar...");
  fflush(stdin);
  getch();
}

/***************************************************************************/
char S_N(char *s) {
char c;

  printf("\n%s(s/n): ", s);
  fflush(stdin);
  scanf("%c", &c);
  if (c == 'S' || c == 's')
    return 'S';
  return 'N';
}

/* Funcin que crea un fichero en modo texto */
FILE *Crear_fichero(void) {
FILE *fichero;
char nombre[CH];

  printf("Introduce el nombre del fichero a crear: ");
  scanf("%s", &nombre);
  if (!(fichero = fopen(nombre, "w"))) {
    ERROR1(nombre);
    Pausa();
    exit(1);
  }
  return (fichero);
}

/* Funcin que abre un fichero en modo texto para su lectura. */
FILE *Abrir_fichero(void) {
FILE *fichero;
char nombre[CH];

  printf("Introduce el nombre del fichero: ");
  scanf("%s", &nombre);
  if (!(fichero = fopen(nombre, "r"))) {
    ERROR1(nombre);
    Pausa();
    exit(1);
  }
  return (fichero);
}
/* Funcion que transforme un entero en un string */
void itos(int x, char *s) {
register int i, j;		/* j es potencias de 10 */
int resto;
int tamano;

  if (x < 32000)	/* MAXINT */
    tamano = 5;
  if (x < 10000)
    tamano = 4;
  if (x < 1000)
    tamano = 3;
  if (x < 100)
    tamano = 2;
  if (x < 10)
    tamano = 1;

  if (tamano == 1)
    j = 1;
  else
    j = pow(10, tamano-1);

  for (i = 0; i < tamano; i++) {
    s[i] = (char)(x / j) + 48;
    resto = x % j;
    x = resto;
    j /= 10;
  }
  s[tamano] = '\0';


}